# Uses of Interface
org.aopalliance.intercept.MethodInvocation

Packages that use MethodInvocation
Package
Description
org.aopalliance.intercept
The AOP Alliance reflective interception abstraction.
org.springframework.aop
Core Spring AOP interfaces, built on AOP Alliance AOP interoperability interfaces.
org.springframework.aop.aspectj
AspectJ integration package.
org.springframework.aop.framework
Package containing Spring's basic AOP infrastructure, compliant with the AOP Alliance interfaces.
org.springframework.aop.framework.adapter
SPI package allowing Spring AOP framework to handle arbitrary advice types.
org.springframework.aop.interceptor
Provides miscellaneous interceptor implementations.
org.springframework.aop.support
Convenience classes for using Spring's AOP API.

## Uses of MethodInvocation in org.aopalliance.intercept

Methods in org.aopalliance.intercept with parameters of type MethodInvocation
Modifier and Type
Method
Description
`Object`
MethodInterceptor.`invoke(MethodInvocation invocation)`
Implement this method to perform extra treatments before and after the invocation.

## Uses of MethodInvocation in org.springframework.aop

Subinterfaces of MethodInvocation in org.springframework.aop
Modifier and Type
Interface
Description
`interface`
`ProxyMethodInvocation`
Extension of the AOP Alliance `MethodInvocation` interface, allowing access to the proxy that the method invocation was made through.
Methods in org.springframework.aop that return MethodInvocation
Modifier and Type
Method
Description
`MethodInvocation`
ProxyMethodInvocation.`invocableClone()`
Create a clone of this object.
`MethodInvocation`
ProxyMethodInvocation.`invocableClone(Object... arguments)`
Create a clone of this object.

## Uses of MethodInvocation in org.springframework.aop.aspectj

Methods in org.springframework.aop.aspectj with parameters of type MethodInvocation
Modifier and Type
Method
Description
`Object`
AspectJAfterAdvice.`invoke(MethodInvocation mi)`
`Object`
AspectJAfterThrowingAdvice.`invoke(MethodInvocation mi)`
`Object`
AspectJAroundAdvice.`invoke(MethodInvocation mi)`

## Uses of MethodInvocation in org.springframework.aop.framework

Classes in org.springframework.aop.framework that implement MethodInvocation
Modifier and Type
Class
Description
`class`
`ReflectiveMethodInvocation`
Spring's implementation of the AOP Alliance `MethodInvocation` interface, implementing the extended `ProxyMethodInvocation` interface.
Methods in org.springframework.aop.framework that return MethodInvocation
Modifier and Type
Method
Description
`MethodInvocation`
ReflectiveMethodInvocation.`invocableClone()`
This implementation returns a shallow copy of this invocation object, including an independent copy of the original arguments array.
`MethodInvocation`
ReflectiveMethodInvocation.`invocableClone(Object... arguments)`
This implementation returns a shallow copy of this invocation object, using the given arguments array for the clone.

## Uses of MethodInvocation in org.springframework.aop.framework.adapter

Methods in org.springframework.aop.framework.adapter with parameters of type MethodInvocation
Modifier and Type
Method
Description
`Object`
AfterReturningAdviceInterceptor.`invoke(MethodInvocation mi)`
`Object`
MethodBeforeAdviceInterceptor.`invoke(MethodInvocation mi)`
`Object`
ThrowsAdviceInterceptor.`invoke(MethodInvocation mi)`

## Uses of MethodInvocation in org.springframework.aop.interceptor

Methods in org.springframework.aop.interceptor that return MethodInvocation
Modifier and Type
Method
Description
`static MethodInvocation`
ExposeInvocationInterceptor.`currentInvocation()`
Return the AOP Alliance MethodInvocation object associated with the current invocation.
Methods in org.springframework.aop.interceptor with parameters of type MethodInvocation
Modifier and Type
Method
Description
`protected String`
AbstractMonitoringInterceptor.`createInvocationTraceName(MethodInvocation invocation)`
Create a `String` name for the given `MethodInvocation` that can be used for trace/logging purposes.
`static String`
ExposeBeanNameAdvisors.`getBeanName(MethodInvocation mi)`
Find the bean name for the given invocation.
`protected String`
DebugInterceptor.`getInvocationDescription(MethodInvocation invocation)`
`protected String`
SimpleTraceInterceptor.`getInvocationDescription(MethodInvocation invocation)`
Return a description for the given method invocation.
`protected org.apache.commons.logging.Log`
AbstractTraceInterceptor.`getLoggerForInvocation(MethodInvocation invocation)`
Return the appropriate `Log` instance to use for the given `MethodInvocation`.
`Object`
AbstractTraceInterceptor.`invoke(MethodInvocation invocation)`
Determines whether logging is enabled for the particular `MethodInvocation`.
`Object`
AsyncExecutionInterceptor.`invoke(MethodInvocation invocation)`
Intercept the given method invocation, submit the actual calling of the method to the correct task executor and return immediately to the caller.
`Object`
ConcurrencyThrottleInterceptor.`invoke(MethodInvocation methodInvocation)`
`Object`
DebugInterceptor.`invoke(MethodInvocation invocation)`
`Object`
ExposeInvocationInterceptor.`invoke(MethodInvocation mi)`
`protected abstract Object`
AbstractTraceInterceptor.`invokeUnderTrace(MethodInvocation invocation, org.apache.commons.logging.Log logger)`
Subclasses must override this method to perform any tracing around the supplied `MethodInvocation`.
`protected Object`
CustomizableTraceInterceptor.`invokeUnderTrace(MethodInvocation invocation, org.apache.commons.logging.Log logger)`
Writes a log message before the invocation based on the value of `enterMessage`.
`protected Object`
PerformanceMonitorInterceptor.`invokeUnderTrace(MethodInvocation invocation, org.apache.commons.logging.Log logger)`
`protected Object`
SimpleTraceInterceptor.`invokeUnderTrace(MethodInvocation invocation, org.apache.commons.logging.Log logger)`
`protected boolean`
AbstractTraceInterceptor.`isInterceptorEnabled(MethodInvocation invocation, org.apache.commons.logging.Log logger)`
Determine whether the interceptor should kick in, that is, whether the `invokeUnderTrace` method should be called.
`protected String`
CustomizableTraceInterceptor.`replacePlaceholders(String message, MethodInvocation methodInvocation, Object returnValue, Throwable throwable, long invocationTime)`
Replace the placeholders in the given message with the supplied values, or values derived from those supplied.

## Uses of MethodInvocation in org.springframework.aop.support

Methods in org.springframework.aop.support with parameters of type MethodInvocation
Modifier and Type
Method
Description
`protected Object`
DelegatePerTargetObjectIntroductionInterceptor.`doProceed(MethodInvocation mi)`
Proceed with the supplied `MethodInterceptor`.
`protected Object`
DelegatingIntroductionInterceptor.`doProceed(MethodInvocation mi)`
Proceed with the supplied `MethodInterceptor`.
`Object`
DelegatePerTargetObjectIntroductionInterceptor.`invoke(MethodInvocation mi)`
Subclasses may need to override this if they want to perform custom behaviour in around advice.
`Object`
DelegatingIntroductionInterceptor.`invoke(MethodInvocation mi)`
Subclasses may need to override this if they want to perform custom behaviour in around advice.
`protected final boolean`
IntroductionInfoSupport.`isMethodOnIntroducedInterface(MethodInvocation mi)`
Is this method on an introduced interface?